Subject: Re: bug#67022: Gzip decompression can be 60% faster using zlib's CRC32

From: wrotycz <[email-masked]>
Date: Thu, 14 Mar 2024 02:14:54 +0100

I tried to implement this slice-by-8 CRC but couldn&#39;t do it the way I wanted - without bloated zlib tables and stuff. Maybe because I don&#39;t get what updcrc(), getcrc(), setcrc() are and what they actually do. The whole program is magical, there is no way to find do_de/compress(), nor anything like that, so it was difficult to actually find relevant code. But anyway, for a start I manged to make `makecrcs8.c&#39; to generate CRCs lookup table (attached).   Regards  wrotycz